class BrcosaPass implements Pass {
  PShader shader;
  float param;
  float param2;
  
  public BrcosaPass()
  {
    shader = loadShader("brcosa.glsl");
  }

  @Override
    public void prepare(Supervisor supervisor) {
        shader.set("brightness", map(this.param, 200, 1000, 0.1f, 10.0f));
        shader.set("contrast", map(this.param2, 100, 900, 0.1f, 10.0f));
        shader.set("saturation", 1.5);
  }
  
    public void setParams(float _p, float _p2){
    this.param = _p;
    this.param2 = _p2;
  }

  @Override
    public void apply(Supervisor supervisor) {
    PGraphics pass = supervisor.getNextPass();
    supervisor.clearPass(pass);

    pass.beginDraw();
    pass.shader(shader);
    pass.image(supervisor.getCurrentPass(), 0, 0);
    pass.endDraw();
  }
}